<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MAiNGO Reader Writer Utility: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MAiNGO Reader Writer Utility
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index__"></a>- _ -</h3><ul>
<li>_add_division_log10()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a947e7ea746bdc82d4765c849a4b37010">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_additionalOutput
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ab0680aaefe697bd3c7cfbb0a77657401">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_bestSolFirstFoundM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a55d550e821f7dfecbaaf3da842878201">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_binVariables
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a3d4c443640a5b207ea0c6e9d3eae9166">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_check_feasibility()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8fdbe17b58ab341b8510c1d89ac898ac">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_check_for_MAiNGO()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af18d614cb09d0e7c66df624b1ebf5baa">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_constraints
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ab6ff4047620af5c87e5095d619568fc0">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_contVariables
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a2afcb6fc1990434c2e8721831d96eeab">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_cpuTimeNeededM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a23cb1a1166e2fad2bc56eb424f01fd82">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_dict
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8fee3711bab0b2e3ee66544aebbcf21e">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_eqConstraints
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a664327d3465533187c058a7c1b8bfac1">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_feasibleM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a25a11054744995d822249a6e2f059884">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_file
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a7c7429f4fd3488f386ab0c88738788a4">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_finalAbsGapM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a2599b4bdf6515be52c4996554424018b">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_finalLBDM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a0a0175078c0aaab5b2e0eb13be58607b">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_finalRelGapM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a29ce3a53d24a2957519cc1eccea6c02e">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_find_variable()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a831457d4f52535011393f66a60661948">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_gamsFileName
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aabc54ff3ecf645c77a271a585cac2d59">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_gineqConstraints
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ab2e743b06a5a1fd17802e1b58afcabe6">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_initialPointBin
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#afd984cc70f47022e48e29a7e1543ca05">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_initialPointCont
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aba33feea4b81b74805b487ce50b7b86a">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_initialPointInt
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a6b9e08461aca531acc6216922f2ece9e">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_insert_line_breaks_in_string()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a6a2146aff48e9e18e9c0c585ceeb7ab8">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_intVariables
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a9e0e1a0d44393137b581bae17d676c49">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_lbdProblemsSolvedM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a1f70b6564c58308a54744b3ccbfa71d5">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_lineqConstraints
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a94eda1acabe2615f050c24a077d81c44">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_maingoFileName
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a6c1234e88e725826cbfba84c1cf4d354">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_minimizing
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aa7e5f22075e2377196f8dbaafc743580">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_nbinVar
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ac0476481cf151e91f7295f647039d694">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_ncons
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a1b9ef2479bc7ab22d5479d4a820a0019">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_ncontVar
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a976e9f873cb9b31333f8fb99bc0c2e96">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_neq
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aa2a06d5b7fb44f924642b5d578ba1097">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_neqM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af6e4eb619b62ee4b520309e46813dec3">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_neqRelaxationOnlyM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a9970f251e3e0e2fd572f068c55b102f4">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_nfixedVar
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a7e8b95cc024ed43908be85cf9d5d0a4b">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_ngineq
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ada64f792a6d7e6c1afe9ea0449a6279e">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_nineqM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a32be959321203962ded1fdac2e7db2e2">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_nineqRelaxationOnlyM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a81f883fb2e55175e0dfdc239a3f8900f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_nintVar
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a71ec051d109e786c860c5faf12c3e9ed">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_niterationsM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ad83c86c17df2b4a6b38bc82d9a104b63">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_nlineq
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a94e870ef7a7a6b3bfddc7111dc1c252c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_nnodesInMemoryM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ad539309a3d8af530e1ca7b1b77f67187">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_nvar
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a52562206344f54cbc1e2b2081a16804c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_nvarM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ab2b3c49e48636d7361558da50132ccb4">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_objFunction
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a72972e52eba457fee2e1669cd9a9ce76">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_objName
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a905a70a813aa1693ad5b17277c396b2b">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_objNr
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ae772e7853e0a7f52cbb9dd9f268e1549">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_objSingle
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aad41f6bd6bb0909361f4c2d0885b5033">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_objValM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af6587ee76a9a99b5cf6011440103e835">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_constraints()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a9a22026caa277d0f37731e42c135260f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_initial_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a124634083d318e9cd2d66ac3a8d5cc5e">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_problem_info()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a315bb5b157d86850e81ee1cfd226046d">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_statistics()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#adfa1c3d24e50afa382790d81c6de8d79">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_read_variable_bounds()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a148ad06a23807ab6949a7355d9ca6011">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_remove_bab()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aa68e1c89215e453ef26d076c1e1d861d">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_remove_chars_from_string()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af68310ca8d478d31f8fa349d363198d1">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_rename_double_asterisk()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aad98aec678ad12779a25c49b8f59d9ae">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_rename_logs()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5d2475f23fa5fe75bdd9ab7960f79c46">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_rename_powers()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5e1c361b80a929dc3c8d053c99f5e0d0">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_rename_variables_and_constraints()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ab6cd6b9d1568c2d8d9f095693d28d505">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_replace_all_variables_in_constraint()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5132c9c4467da6461ddf8d63d9487973">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_set_variable_initial_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ad2c00a5f9ad5572dbb2ceb6eb014c19e">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_set_variable_lower_bound()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ace3c2f2695ad65f2e888a98d316582e9">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_set_variable_upper_bound()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a6d0f5fbe7cdf0f0ecb818e948ba040e1">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_solutionPoint
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aa965e78187181422aa25e5359a07b58f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_ubdProblemsSolvedM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aa6a6cb97101a4fc5730a8e1046cac4ff">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_wallTimeNeededM
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a16ea4076636dc44295c4d4885efae6f0">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_ALE_functions()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af66962c7ca7e641469dea37a54ad7bfa">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_ALE_initial_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a260d69983109f5e93a60c6241dea82b5">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_ALE_variables()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a62fda82e8e5cd6b1a64484e3c719dcf2">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_constructor()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8891e5981c20b2d3c165b30c290c7f83">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_evaluate()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#addf2ee7245beec707176837048464380">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_initial_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a6b301ba83f883a19d591a479ab7eaef7">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_model()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a7a1c6122f01e8d9d15b04aee496623ae">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>_write_MAiNGO_variables()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ae17cbf66de7034208c293b2acf612869">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>constraintType
: <a class="el" href="structmaingo_1_1reader_writer_1_1_constraint.html#a4f04628f8c91e4b2dc3825784fb21f55">maingo::readerWriter::Constraint</a>
</li>
<li>convert_GAMS_folder_to_ALE_problem()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ae834a7bcc749ec79410a278151c50978">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>convert_GAMS_folder_to_MAiNGO_problem()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af20b0cf08b2741e07e57de1d7a130d43">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>get_additional_output()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a0d1f1a6b983d4d9e07668a2848e4b24f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_cpu_time_needed_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aaedb48f4a5f3743964fed0164cefc471">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_feasibility_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5be563e56adc4d61e2550004f697ad90">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_final_abs_gap_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af8af57084282c38aafe372ccd92850b7">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_final_lbd_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a11daac8744ab1a87d2484e306e24675c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_final_obj_val_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aab6f753250f6c6c97c8df12f14b0c3a2">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_final_rel_gap_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aada0529f94e781165ab2c65e000bb1e6">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_minimizing_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a98277a362e3a3347c89adbee7aa6925f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_best_first_found_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ac480e47f23cf00c8ac084c345e4132c9">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_bin_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ab9a78f7ad73f77899f875548e921ceba">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_constraints_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a55efae07778cee46acb9391cd4e5d79c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_cont_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ae9992a32fac3370e5023b5c018ee451a">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_eq_constraints_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a5111a32de5a72aee10ed1a5e8e0982da">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_equalities_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8ee90625afe023bea2823008c7756d04">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_fixed_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a036cb44d5313f1d63a1e2ea95a9a8309">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_gineq_constraints_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a219105f18e41ec9ee66ca37dde553874">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_inequalities_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a4d475c18e77e8dfc6bd1cc525b7fc0d6">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_int_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a0fed1a7764c8e83281dc07bf89479b3f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_iterations_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a564b6d788fc20aa538479ca6761b219f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_lbd_solved_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aff2a264367f93911d5db1d888ecd0791">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_lineq_constraints_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#aa43981fa1b5a83abb2a4b7f731e3815b">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_nodes_in_memory_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a7ff66b6d0e343047ffffffd01e085f6d">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_rel_only_eq_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#ae1727b5ef4bdd65446a3fc00e83a3b93">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_rel_only_ineq_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a0fb3c395876c148a05f608e503900a69">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_ubd_solved_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a2cbee5053d44eb0ab42a5f9295a4ead4">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_variables_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a946f8272a3d4d5388ef6acda7975823c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_number_variables_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a65fb8e338a314c8bc36fdde4e14b8393">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_obj_variable_name_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a915663e2371bb2ee34cbe255e1869ae5">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_obj_variable_number_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8b8be9c9333a7454492af3f44e6581f7">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_solution_point()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a0d93d6e18e829961aa0c8fb3d6a0b71d">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>get_wall_time_needed_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a204cd42e0b85b37541c9a589168b3f96">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>lhs
: <a class="el" href="structmaingo_1_1reader_writer_1_1_constraint.html#a46b1df7ac15585c53bf05263a2d1dbaa">maingo::readerWriter::Constraint</a>
</li>
<li>lowerBound
: <a class="el" href="structmaingo_1_1reader_writer_1_1_optimization_variable.html#a38950f15ac1c46a02d58cc31746d228f">maingo::readerWriter::OptimizationVariable</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>MAiNGOReaderWriter()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a874014de97ee784da3f5251999956b66">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>name
: <a class="el" href="structmaingo_1_1reader_writer_1_1_constraint.html#a9f0e0498457745e799e327a39b981c46">maingo::readerWriter::Constraint</a>
, <a class="el" href="structmaingo_1_1reader_writer_1_1_optimization_variable.html#a14f25915f5b749863a931051188f2b2c">maingo::readerWriter::OptimizationVariable</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>operator=()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a00df7e21ef6135e7614c6227659509e7">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>print_problem_info_GAMS_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a974e83a9236076a342791cd6d0f9e85c">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>print_problem_info_MAiNGO_log()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#af78062e5ea1cf2effa0fcd1d6882dadc">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>read_GAMS_convert_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a483e97f491ed1ec3ba30b9416e17138f">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>read_MAiNGO_log_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a7d9f98c5950d309c4094c601f62223bd">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>rhs
: <a class="el" href="structmaingo_1_1reader_writer_1_1_constraint.html#a314e7f68c1dc8d6dd7ca4f7f6f3c5760">maingo::readerWriter::Constraint</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>upperBound
: <a class="el" href="structmaingo_1_1reader_writer_1_1_optimization_variable.html#a6818a15cdf5493baaa8db1f7e47ea16f">maingo::readerWriter::OptimizationVariable</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>variableType
: <a class="el" href="structmaingo_1_1reader_writer_1_1_optimization_variable.html#ac21e7f969675bb9b3f936e0b148fcd0b">maingo::readerWriter::OptimizationVariable</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>write_ALE_problem_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#adfd584ea821b9efa7441c084e9d5705a">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
<li>write_MAiNGO_problem_file()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a8c61d0c87421db0912d31f3b79314a3b">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>


<h3><a id="index_0x7e"></a>- ~ -</h3><ul>
<li>~MAiNGOReaderWriter()
: <a class="el" href="classmaingo_1_1reader_writer_1_1_m_ai_n_g_o_reader_writer.html#a67f25603b03c20b7033cd58e94f92a63">maingo::readerWriter::MAiNGOReaderWriter</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
